## org.apache.commons.collections
Interface KeyValue

All Known Implementing Classes:
  AbstractDualBidiMap.MapEntry, AbstractHashedMap.HashEntry, AbstractKeyValue, AbstractLinkedMap.LinkEntry, AbstractMapEntry, AbstractMapEntryDecorator, AbstractReferenceMap.ReferenceEntry, BeanMap.MyMapEntry, DefaultKeyValue, DefaultMapEntry, DefaultMapEntry, IdentityMap.IdentityEntry, SingletonMap, TiedMapEntry, UnmodifiableMapEntry

    public interface KeyValue

Defines a simple key value pair.

A Map Entry has considerable additional semantics over and above a simple key-value pair. This interface defines the minimum key value, with just the two get methods.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Method Summary
`java.lang.Object` `getKey()` Gets the key from the pair.
`java.lang.Object` `getValue()` Gets the value from the pair.

Method Detail

### getKey

    java.lang.Object getKey()

  Gets the key from the pair.

  Returns:
    the key

### getValue

    java.lang.Object getValue()

  Gets the value from the pair.

  Returns:
    the value

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.